package ru.amse.cat.evlarchick.textstructure;

public class SegmentWithTranslation extends Segment implements ISegmentWithTranslation{
    private String myTranslation = "";

    public SegmentWithTranslation(String translation, int start, int end, ITextStructure ts)
            throws SegmentIsTooBigException {
        super(start, end, ts);
        myTranslation = translation;
    }

    public SegmentWithTranslation(int start, int end, ITextStructure ts)
            throws SegmentIsTooBigException {
        this("", start, end, ts);
    }

    public String getTranslation() {
        return myTranslation;
    }

    public void setTranslation(String translation) {
        myTranslation = translation;
    }

    public String getText() {
        return myTS.getOriginalText().substring(myStart, myEnd);
    }
}
