package ru.amse.cat.evlarchick.save;

import java.io.File;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class TextReader {
    private File myFile;

    public TextReader(String filepath) {
        myFile = new File(filepath);
    }

    public String read() throws IOException {
        BufferedReader br = new BufferedReader(new FileReader(myFile));

        StringBuilder sb = new StringBuilder();
        String buff;
        while ((buff = br.readLine()) != null) {
            sb.append(buff);
            sb.append("\n");
        }

        return sb.toString();
    }
}
